/* $Id: mda.h,v 1.3 1998/11/24 18:45:21 marcus Exp $
******************************************************************************

   IBM MDA Series/Standard -- register definitions

   Copyright (C) 1996		Steffen Seeger [seeger@ggi-project.org]

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef _ggi_mda_h
#define _ggi_mda_h

#define	CRTIm	0x3B4
#define	CRTDm	0x3B5

#define CTRLm	0x3B8
	#define	CTRL_ENB_CRT	0x08
	#define	CTRL_ENB_BLINK	0x20

#define	STATm	0x3BA
	#define	STAT_HSYNC	0x01
	#define	STAT_VIDEO_ENB	0x08

	#define	CRT_HTOTAL	0x00
	#define	CRT_HDISPLAYEND	0x01
	#define	CRT_HSYNCSTART	0x02
	#define	CRT_HSYNCEND	0x03
	#define	CRT_VTOTAL	0x04
	#define	CRT_VSKEW	0x05
	#define	CRT_VDISPLAYEND	0x06
	#define	CRT_VSYNCSTART	0x07
	#define CRT_INTERLACE   0x08
		#define CR08_NON_INTERLACED    0x02
		#define CR08_INTERLACED        0x01
		#define CR08_INTERLACED_VIDEO  0x03
	#define	CRT_CHAR_HEIGHT	0x09
	#define	CRT_CURSORSTART	0x0A
	#define	CRT_CURSOREND	0x0B
	#define	CRT_STARTADDR_H	0x0C
	#define	CRT_STARTADDR_L	0x0D
	#define	CRT_CURSORADDR_H 0x0E
	#define	CRT_CURSORADDR_L 0x0F

#define	MDA_IOBASE	0x03B0
#define	MDA_IOSIZE	0x0010
#define	MDA_FBBASE	0x000B0000
#define	MDA_FBSIZE	0x1000

#endif /* #ifdef _ggi_mda_h */
